CentOS 5: Upgrade from PHP 5.1.x to PHP 5.3

Your server must be running at least Centos 5.6.

DO NOT USE THIS METHOD IF YOU ARE USING PLESK CONTROL PANEL OR CPANEL.

According to the RedHat 5.6 Release Notes there're now PHP 5.3 packages included, these are also in CentOS 5.6.
The following steps describe howto upgrade from an installed PHP 5.1.x to PHP 5.3.

First stop the Apache Web Server:

service httpd stop 

Remove the 5.1.x PHP Packages:

yum remove php php-* 

Install PHP 5.3:

yum install php53*

The following packages are not available anymore:

php53-pear -> Check the Bug 673521 from RedHat
php53-mcrypt -> Not available anymore in CentOS 5.6. A Workaround would be IUS Community or build by yourself.
php53-mhash -> mhash has been replaced by hash
php53-pdo -> will be installed together with soap
php53-pecl-apc -> Not available anymore in CentOS 5.6
php53-pecl-memcache -> Not available anymore in CentOS 5.6 

Start Apache again:

service httpd start

Timezone Setting in PHP 5.3!

In PHP 5.3 it is required to use the date.timezone setting or the date_default_timezone_set() function.
Add

date.timezone = "Europe/Zurich"

(or other zone) to /etc/php.ini.

Was this answer helpful? 0 Users Found This Useful (218 Votes)